package com.tmerclub.cloud.order.vo.mongo;

import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
@Document("order_refund")
public class MongoOrderRefundFormExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 时间（报表中显示的时间字符串）
     */
    private String formatTime;

    /**
     * 退款金额
     */
    private Long refundAmount;

    /**
     * 退还平台的补贴金额
     */
    private Long platformRefundAmount;
    /**
     * 退款订单数
     */
    private Integer refundOrderNums;

    public String getFormatTime() {
        return formatTime;
    }

    public void setFormatTime(String formatTime) {
        this.formatTime = formatTime;
    }


    public Long getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Long refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Integer getRefundOrderNums() {
        return refundOrderNums;
    }

    public void setRefundOrderNums(Integer refundOrderNums) {
        this.refundOrderNums = refundOrderNums;
    }

    public Long getPlatformRefundAmount() {
        return platformRefundAmount;
    }

    public void setPlatformRefundAmount(Long platformRefundAmount) {
        this.platformRefundAmount = platformRefundAmount;
    }

    @Override
    public String toString() {
        return "MongoOrderRefundFormExcelVO{" +
                "formatTime='" + formatTime + '\'' +
                ", refundAmount=" + refundAmount +
                ", platformRefundAmount=" + platformRefundAmount +
                ", refundOrderNums=" + refundOrderNums +
                '}';
    }
}
